Bug 825811 - File "/usr/lib/yum-plugins/langpacks.py", line 79, in postreposetup_hook: ParseError: no element found: line 1, column 0
File "/usr/lib/yum-plugins/langpacks.py", line 79, in postreposetup_hook: Pa...
Product: Fedora
Classification: Fedora
Component: yum-langpacks (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-28 10:17 EDT by Humio Dattya
Modified: 2014-01-21 18:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-10 12:29:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Humio Dattya 2012-05-28 10:17:59 EDT
Description of problem:
An internal error has occurred.

Version-Release number of selected component (if applicable):

How reproducible:
Click on software updates

Steps to Reproduce:
1.Click on software updates
2.This message has been displayed immediately.
3.An internal error has occurred.
An unexpected error has occurred. Bug is a bug tracker of the distribution, please report it with details of the error.

Actual results:

Expected results:

Additional info:Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2768, in get_updates
    ygl = self.yumbase.doPackageLists(pkgnarrow='updates')
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2629, in doPackageLists
    for (n,a,e,v,r) in self.up.getUpdatesList():
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1022, in <lambda>
    up = property(fget=lambda self: self._getUpdates(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 827, in _getUpdates
    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1003, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 767, in _getSacks
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 265, in populateSack
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 92, in doSetup
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/langpacks.py", line 79, in postreposetup_hook
    for event, elem in iterparse(infile):
  File "<string>", line 107, in next
ParseError: no element found: line 1, column 0
Comment 1 Zdeněk Pavlas 2012-05-29 09:10:54 EDT
langpacks probably tried to parse empty (but existing) comps.xml file.  Can't reproduce this myself, assigning to yum-langpacks.
Comment 2 Jens Petersen 2012-05-31 02:24:27 EDT
Hmm I wonder how often this happens.

Zdeněk, if your analysis is correct then guess the plugin should check
comps.xml is not empty before attempting to parse it (or fix the parser
to accept empty input).  I am guessing the former might be easier.
Comment 3 Jens Petersen 2012-05-31 02:28:03 EDT
What version of Fedora are you using, or what does "rpm -q yum-langpacks" output?
Comment 4 Zdeněk Pavlas 2012-05-31 07:15:20 EDT
Have you ran out of disk space in /var/cache recently?  Does the following command give any hits?

$ find /var -name *comps.xml -a -size 0 2>/dev/null
Comment 5 Humio Dattya 2012-06-01 13:01:10 EDT
  Come because it's for those who are likely to be suspicious us, we will add a description in my case.
Although the detailed reason will be omitted, Linux, was added so the user name of another multi-user multi-tasking. (Fedora 16)

  Login with the user name of the main failure was one day. Therefore,
We remove a user name to log in user name of the second(file did not exist), was not able to login to change the name of the file access permissions and ownership with superuser privileges.

  Then, comment out the effect of policy contrary to Linux a few times, had to deal with a case-by-case basis.
However, in the way of description as it is, has issued a report was put up and display "Please submit a report of a bug in the internal error" suddenly one day the other day. At that time, was a human user state was less so.

 We still have that thought with a few days later, and I wish it did fix the "bug" so well can be updated in the GUI. Is that of late, and I think rare phenomenon was probably this usage.
Comment 6 Jens Petersen 2012-06-12 03:07:12 EDT
So problem is fixed for you now?
Comment 7 Zdeněk Pavlas 2012-06-12 04:33:17 EDT
This might be related, empty .sqlite files due to a race in createrepo.


QA also reports the same "ParseError: no element found: line 1, column 0" error to appear occasionally when running automated tests, but it's not fully reproducible.
Comment 8 Humio Dattya 2012-06-12 08:42:03 EDT
Was reported late. We have successfully completed the update was from some time after that.

We would like to thank everyone who your effort.
Comment 9 Fedora Update System 2012-06-21 14:34:39 EDT
yum-langpacks-0.2.5-1.fc17 has been submitted as an update for Fedora 17.
Comment 10 Fedora Update System 2012-06-22 04:26:58 EDT
Package yum-langpacks-0.2.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-langpacks-0.2.5-1.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-07-10 12:29:52 EDT
yum-langpacks-0.2.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.